public class ChessTest { 
    public static void main(String[] args) { 
		System.out.println("You don't play a chess game to count points, but:");
        for (Chess c : Chess.values()) 
            System.out.println(c + " is worth " 
                  + c.printValue() + ", and it's " + appearance(c)); 
    } 
    private enum ChessStature { SHORT, MEDIUM, TALL } 
    private static ChessStature appearance(Chess c) { 
        switch(c) { 
          case PAWN:	return ChessStature.SHORT; 
          case BISHOP: 
          case KNIGHT: 
          case ROOK:	return ChessStature.MEDIUM; 
          case QUEEN:	return ChessStature.TALL; 
          default: throw new AssertionError("Unknown figure: " + c); 
        } 
    } 
} 
